Public Attributes | List of all members
__attribute__ Struct Reference
BLE Services » Continuous Glucose Monitoring Service (CGMS) » Structures | SYSTEM » System SDK

`#include <cgms.h>`

## Public Attributes
uint16_t | time_offset
uint8_t | status
uint8_t | cal_temp
uint8_t | warning
uint16_t | year
uint8_t | month
uint8_t | day
uint8_t | hour
uint8_t | min
uint8_t | sec
int8_t | time_zone
uint8_t | dst_offset
int16_t | concentration
uint16_t | since_start_time_minutes
uint8_t | meas_type: 4
uint8_t | meas_loc: 4
uint16_t | next_cal_time_minutes
uint16_t | cal_data_record_num
uint8_t | cal_status
uint16_t | ate_version
uint16_t | hw_version
uint16_t | chip_id
uint16_t | package
uint16_t | flash_size
uint16_t | ram_size
uint8_t | unused [12]
uint8_t | tx_power
uint8_t | rssi_cali
uint8_t | hp_gain
uint8_t | dcdc_1p05
uint8_t | dcdc_1p15
uint8_t | dig_ldo_0p9_coarse
uint8_t | dig_ldo_0P9_fine
uint8_t | dig_ldo_1p05_coarse
uint8_t | dig_ldo_1p05_fine
uint8_t | sys_ldo_1p05
uint8_t | sys_ldo_1p15
uint8_t | io_ldo_1p8
uint8_t | io_ldo_3p0
uint8_t | stb_io_ldo_1P8
uint8_t | stb_io_ldo_3p0
uint16_t | ringo_dig_0p9
uint16_t | ringo_dig_1p05
uint16_t | offset_int_0p8
uint16_t | slope_int_0p8
uint16_t | offset_int_1p2
uint16_t | slope_int_1p2
uint16_t | offset_int_1p6
uint16_t | slope_int_1p6
uint16_t | offset_ext_1p0
uint16_t | slope_ext_1p0
uint16_t | temp
uint16_t | temp_ref
uint16_t | vbat_div
uint8_t | cali_mode
uint16_t | hf_osc_192m
uint16_t | hf_osc_192m_fine
uint8_t | flash_manufacturer
uint8_t | feature
uint8_t | flash_tVSL
uint8_t | flash_tESL
uint8_t | flash_tPSL
uint8_t | flash_tPRS
uint8_t | flash_tERS
uint8_t | flash_tDP
uint8_t | flash_tRES2
uint8_t | flash_tRDINT
uint16_t | xo_cap
uint16_t | valid_ind
uint8_t | dig_ldo_1p0
uint8_t | dig_ldo_1p0_fine
uint8_t | lpd_ldo_0p9
uint16_t | pattern
uint16_t | item_end
uint32_t | check_sum
production_t | prod
rf_trim_t | rf
pmu_trim_t | pmu
sadc_trim_t | sadc
clk_trim_t | clk
flash_timing_t | flash
xo_trim_t | xo_trim
pmu2_trim_t | pmu2
uint8_t | bt_addr [6]
uint16_t | xo_offset
uint8_t | isp_uart_bypass: 1
uint8_t | isp_jlink_bypass: 1
uint8_t | swd_disable: 1
uint8_t | io_ldo_adjust_en: 1
uint8_t | io_ldo_sel: 1
uint8_t | io_ldo_bypass: 1
uint8_t | reserved: 2
uint8_t | uid_fab [3]
uint8_t | uid_year
uint8_t | uid_mon
uint8_t | uid_lot_id [8]
uint8_t | uid_wafer_id
uint8_t | uid_wafer_x
uint8_t | uid_wafer_y
uint8_t | sram_size
uint32_t | flash_otp_addr1: 24
uint32_t | flash_otp_addr2: 24
uint8_t | bod_trim
config_t | config
uint8_t | test_pass_flag
uint8_t | user [4]

## Detailed Description

Definition at line 254 of file cgms.h.

## Member Data Documentation

## ◆ ate_version

uint16_t __attribute__::ate_version

Definition at line 61 of file gr5405_chip_trim.h.

## ◆ bod_trim

uint8_t __attribute__::bod_trim

Definition at line 192 of file gr5405_chip_trim.h.

## ◆ bt_addr

uint8_t __attribute__::bt_addr[6]

Definition at line 164 of file gr5405_chip_trim.h.

## ◆ cal_data_record_num

uint16_t __attribute__::cal_data_record_num

Definition at line 281 of file cgms.h.

## ◆ cal_status

uint8_t __attribute__::cal_status

Definition at line 282 of file cgms.h.

## ◆ cal_temp

uint8_t __attribute__::cal_temp

Definition at line 258 of file cgms.h.

## ◆ cali_mode

uint8_t __attribute__::cali_mode

Definition at line 110 of file gr5405_chip_trim.h.

## ◆ check_sum

uint32_t __attribute__::check_sum

Definition at line 152 of file gr5405_chip_trim.h.

## ◆ chip_id

uint16_t __attribute__::chip_id

Definition at line 63 of file gr5405_chip_trim.h.

## ◆ clk

clk_trim_t __attribute__::clk

Definition at line 157 of file gr5405_chip_trim.h.

## ◆ concentration

int16_t __attribute__::concentration

Definition at line 276 of file cgms.h.

## ◆ config

config_t __attribute__::config

Definition at line 193 of file gr5405_chip_trim.h.

## ◆ day

uint8_t __attribute__::day

day time element.

Definition at line 266 of file cgms.h.

## ◆ dcdc_1p05

uint8_t __attribute__::dcdc_1p05

Definition at line 80 of file gr5405_chip_trim.h.

## ◆ dcdc_1p15

uint8_t __attribute__::dcdc_1p15

Definition at line 81 of file gr5405_chip_trim.h.

## ◆ dig_ldo_0p9_coarse

uint8_t __attribute__::dig_ldo_0p9_coarse

Definition at line 82 of file gr5405_chip_trim.h.

## ◆ dig_ldo_0P9_fine

uint8_t __attribute__::dig_ldo_0P9_fine

Definition at line 83 of file gr5405_chip_trim.h.

## ◆ dig_ldo_1p0

uint8_t __attribute__::dig_ldo_1p0

Definition at line 144 of file gr5405_chip_trim.h.

## ◆ dig_ldo_1p05_coarse

uint8_t __attribute__::dig_ldo_1p05_coarse

Definition at line 84 of file gr5405_chip_trim.h.

## ◆ dig_ldo_1p05_fine

uint8_t __attribute__::dig_ldo_1p05_fine

Definition at line 85 of file gr5405_chip_trim.h.

## ◆ dig_ldo_1p0_fine

uint8_t __attribute__::dig_ldo_1p0_fine

Definition at line 145 of file gr5405_chip_trim.h.

## ◆ dst_offset

uint8_t __attribute__::dst_offset

Definition at line 271 of file cgms.h.

## ◆ feature

uint8_t __attribute__::feature

Definition at line 123 of file gr5405_chip_trim.h.

## ◆ flash

flash_timing_t __attribute__::flash

Definition at line 158 of file gr5405_chip_trim.h.

## ◆ flash_manufacturer

uint8_t __attribute__::flash_manufacturer

Definition at line 122 of file gr5405_chip_trim.h.

## ◆ flash_otp_addr1

uint32_t __attribute__::flash_otp_addr1

Definition at line 190 of file gr5405_chip_trim.h.

## ◆ flash_otp_addr2

uint32_t __attribute__::flash_otp_addr2

Definition at line 191 of file gr5405_chip_trim.h.

## ◆ flash_size

uint16_t __attribute__::flash_size

Definition at line 65 of file gr5405_chip_trim.h.

## ◆ flash_tDP

uint8_t __attribute__::flash_tDP

Definition at line 129 of file gr5405_chip_trim.h.

## ◆ flash_tERS

uint8_t __attribute__::flash_tERS

Definition at line 128 of file gr5405_chip_trim.h.

## ◆ flash_tESL

uint8_t __attribute__::flash_tESL

Definition at line 125 of file gr5405_chip_trim.h.

## ◆ flash_tPRS

uint8_t __attribute__::flash_tPRS

Definition at line 127 of file gr5405_chip_trim.h.

## ◆ flash_tPSL

uint8_t __attribute__::flash_tPSL

Definition at line 126 of file gr5405_chip_trim.h.

## ◆ flash_tRDINT

uint8_t __attribute__::flash_tRDINT

Definition at line 131 of file gr5405_chip_trim.h.

## ◆ flash_tRES2

uint8_t __attribute__::flash_tRES2

Definition at line 130 of file gr5405_chip_trim.h.

## ◆ flash_tVSL

uint8_t __attribute__::flash_tVSL

Definition at line 124 of file gr5405_chip_trim.h.

## ◆ hf_osc_192m

uint16_t __attribute__::hf_osc_192m

Definition at line 115 of file gr5405_chip_trim.h.

## ◆ hf_osc_192m_fine

uint16_t __attribute__::hf_osc_192m_fine

Definition at line 116 of file gr5405_chip_trim.h.

## ◆ hour

uint8_t __attribute__::hour

hour time element.

Definition at line 267 of file cgms.h.

## ◆ hp_gain

uint8_t __attribute__::hp_gain

Definition at line 74 of file gr5405_chip_trim.h.

## ◆ hw_version

uint16_t __attribute__::hw_version

Definition at line 62 of file gr5405_chip_trim.h.

## ◆ io_ldo_1p8

uint8_t __attribute__::io_ldo_1p8

Definition at line 88 of file gr5405_chip_trim.h.

## ◆ io_ldo_3p0

uint8_t __attribute__::io_ldo_3p0

Definition at line 89 of file gr5405_chip_trim.h.

## ◆ io_ldo_adjust_en

uint8_t __attribute__::io_ldo_adjust_en

Definition at line 174 of file gr5405_chip_trim.h.

## ◆ io_ldo_bypass

uint8_t __attribute__::io_ldo_bypass

Definition at line 176 of file gr5405_chip_trim.h.

## ◆ io_ldo_sel

uint8_t __attribute__::io_ldo_sel

Definition at line 175 of file gr5405_chip_trim.h.

## ◆ isp_jlink_bypass

uint8_t __attribute__::isp_jlink_bypass

Definition at line 172 of file gr5405_chip_trim.h.

## ◆ isp_uart_bypass

uint8_t __attribute__::isp_uart_bypass

Definition at line 171 of file gr5405_chip_trim.h.

## ◆ item_end

uint16_t __attribute__::item_end

Definition at line 151 of file gr5405_chip_trim.h.

## ◆ lpd_ldo_0p9

uint8_t __attribute__::lpd_ldo_0p9

Definition at line 146 of file gr5405_chip_trim.h.

## ◆ meas_loc

uint8_t __attribute__::meas_loc

Definition at line 279 of file cgms.h.

## ◆ meas_type

uint8_t __attribute__::meas_type

Definition at line 278 of file cgms.h.

## ◆ min

uint8_t __attribute__::min

minute time element.

Definition at line 268 of file cgms.h.

## ◆ month

uint8_t __attribute__::month

month time element.

Definition at line 265 of file cgms.h.

## ◆ next_cal_time_minutes

uint16_t __attribute__::next_cal_time_minutes

Definition at line 280 of file cgms.h.

## ◆ offset_ext_1p0

uint16_t __attribute__::offset_ext_1p0

Definition at line 104 of file gr5405_chip_trim.h.

## ◆ offset_int_0p8

uint16_t __attribute__::offset_int_0p8

Definition at line 98 of file gr5405_chip_trim.h.

## ◆ offset_int_1p2

uint16_t __attribute__::offset_int_1p2

Definition at line 100 of file gr5405_chip_trim.h.

## ◆ offset_int_1p6

uint16_t __attribute__::offset_int_1p6

Definition at line 102 of file gr5405_chip_trim.h.

## ◆ package

uint16_t __attribute__::package

Definition at line 64 of file gr5405_chip_trim.h.

## ◆ pattern

uint16_t __attribute__::pattern

Definition at line 150 of file gr5405_chip_trim.h.

## ◆ pmu

pmu_trim_t __attribute__::pmu

Definition at line 155 of file gr5405_chip_trim.h.

## ◆ pmu2

pmu2_trim_t __attribute__::pmu2

Definition at line 160 of file gr5405_chip_trim.h.

## ◆ prod

production_t __attribute__::prod

Definition at line 153 of file gr5405_chip_trim.h.

## ◆ ram_size

uint16_t __attribute__::ram_size

Definition at line 66 of file gr5405_chip_trim.h.

## ◆ reserved

uint8_t __attribute__::reserved

Definition at line 177 of file gr5405_chip_trim.h.

## ◆ rf

rf_trim_t __attribute__::rf

Definition at line 154 of file gr5405_chip_trim.h.

## ◆ ringo_dig_0p9

uint16_t __attribute__::ringo_dig_0p9

Definition at line 92 of file gr5405_chip_trim.h.

## ◆ ringo_dig_1p05

uint16_t __attribute__::ringo_dig_1p05

Definition at line 93 of file gr5405_chip_trim.h.

## ◆ rssi_cali

uint8_t __attribute__::rssi_cali

Definition at line 73 of file gr5405_chip_trim.h.

## ◆ sadc

sadc_trim_t __attribute__::sadc

Definition at line 156 of file gr5405_chip_trim.h.

## ◆ sec

uint8_t __attribute__::sec

second time element.

Definition at line 269 of file cgms.h.

## ◆ since_start_time_minutes

uint16_t __attribute__::since_start_time_minutes

Definition at line 277 of file cgms.h.

## ◆ slope_ext_1p0

uint16_t __attribute__::slope_ext_1p0

Definition at line 105 of file gr5405_chip_trim.h.

## ◆ slope_int_0p8

uint16_t __attribute__::slope_int_0p8

Definition at line 99 of file gr5405_chip_trim.h.

## ◆ slope_int_1p2

uint16_t __attribute__::slope_int_1p2

Definition at line 101 of file gr5405_chip_trim.h.

## ◆ slope_int_1p6

uint16_t __attribute__::slope_int_1p6

Definition at line 103 of file gr5405_chip_trim.h.

## ◆ sram_size

uint8_t __attribute__::sram_size

Definition at line 189 of file gr5405_chip_trim.h.

## ◆ status

uint8_t __attribute__::status

Definition at line 257 of file cgms.h.

## ◆ stb_io_ldo_1P8

uint8_t __attribute__::stb_io_ldo_1P8

Definition at line 90 of file gr5405_chip_trim.h.

## ◆ stb_io_ldo_3p0

uint8_t __attribute__::stb_io_ldo_3p0

Definition at line 91 of file gr5405_chip_trim.h.

## ◆ swd_disable

uint8_t __attribute__::swd_disable

Definition at line 173 of file gr5405_chip_trim.h.

## ◆ sys_ldo_1p05

uint8_t __attribute__::sys_ldo_1p05

Definition at line 86 of file gr5405_chip_trim.h.

## ◆ sys_ldo_1p15

uint8_t __attribute__::sys_ldo_1p15

Definition at line 87 of file gr5405_chip_trim.h.

## ◆ temp

uint16_t __attribute__::temp

Definition at line 106 of file gr5405_chip_trim.h.

## ◆ temp_ref

uint16_t __attribute__::temp_ref

Definition at line 107 of file gr5405_chip_trim.h.

## ◆ test_pass_flag

uint8_t __attribute__::test_pass_flag

Definition at line 196 of file gr5405_chip_trim.h.

## ◆ time_offset

uint16_t __attribute__::time_offset

Definition at line 256 of file cgms.h.

## ◆ time_zone

int8_t __attribute__::time_zone

Definition at line 270 of file cgms.h.

## ◆ tx_power

uint8_t __attribute__::tx_power

Definition at line 72 of file gr5405_chip_trim.h.

## ◆ uid_fab

uint8_t __attribute__::uid_fab[3]

Definition at line 182 of file gr5405_chip_trim.h.

## ◆ uid_lot_id

uint8_t __attribute__::uid_lot_id[8]

Definition at line 185 of file gr5405_chip_trim.h.

## ◆ uid_mon

uint8_t __attribute__::uid_mon

Definition at line 184 of file gr5405_chip_trim.h.

## ◆ uid_wafer_id

uint8_t __attribute__::uid_wafer_id

Definition at line 186 of file gr5405_chip_trim.h.

## ◆ uid_wafer_x

uint8_t __attribute__::uid_wafer_x

Definition at line 187 of file gr5405_chip_trim.h.

## ◆ uid_wafer_y

uint8_t __attribute__::uid_wafer_y

Definition at line 188 of file gr5405_chip_trim.h.

## ◆ uid_year

uint8_t __attribute__::uid_year

Definition at line 183 of file gr5405_chip_trim.h.

## ◆ unused

uint8_t __attribute__::unused

Definition at line 67 of file gr5405_chip_trim.h.

## ◆ user

uint8_t __attribute__::user[4]

Definition at line 197 of file gr5405_chip_trim.h.

## ◆ valid_ind

uint16_t __attribute__::valid_ind

Definition at line 143 of file gr5405_chip_trim.h.

## ◆ vbat_div

uint16_t __attribute__::vbat_div

Definition at line 108 of file gr5405_chip_trim.h.

## ◆ warning

uint8_t __attribute__::warning

Definition at line 259 of file cgms.h.

## ◆ xo_cap

uint16_t __attribute__::xo_cap

Definition at line 137 of file gr5405_chip_trim.h.

## ◆ xo_offset

uint16_t __attribute__::xo_offset

Definition at line 165 of file gr5405_chip_trim.h.

## ◆ xo_trim

xo_trim_t __attribute__::xo_trim

Definition at line 159 of file gr5405_chip_trim.h.

## ◆ year

uint16_t __attribute__::year

year time element.

Definition at line 264 of file cgms.h.

The documentation for this struct was generated from the following files:

- cgms.h
- gr5405_chip_trim.h